Bug 119129 - KMag doesn't work on multiple/Xinerama monitors, only shows screen 1
Summary: KMag doesn't work on multiple/Xinerama monitors, only shows screen 1
Status: RESOLVED WORKSFORME
Alias: None
Product: kmag
Classification: Applications
Component: general (show other bugs)
Version: 1.0
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: sarang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-28 18:52 UTC by Steven R.
Modified: 2018-11-02 22:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven R. 2005-12-28 18:52:13 UTC
Version:           1.0 (using KDE KDE 3.5.0)
Installed from:    Ubuntu Packages
OS:                Linux

I have two monitors with Xinerama.  KMag only magnifies from screen 1 (even if started from screen 2).  If I move my cursor on to the screen 2, KMag just zooms the edge of the screen 1.  It still tracks the mouse, i.e., the second monitor is beside the first and if I move the mouse up and down, KMag goes up and down, it just stays on the edge.
Comment 1 David Saxton 2006-01-10 19:09:42 UTC
I can confirm this (I'm also using Ubuntu packages...).

KMag can only be made to display on the second screen by using the "display rectangle" tool. In the "under-mouse" tool, it truncates the x-coordinate of the mouse cursor to the edge of the first screen.
Comment 2 Pierre Habouzit 2006-05-13 00:29:41 UTC
This is also debian bug http://bugs.debian.org/281312
Comment 3 Andrew Crouthamel 2018-11-02 04:26:52 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 4 Steven R. 2018-11-02 22:28:55 UTC
Oh hey, another ancient bug to clean up.  I can happily report that sometime in the last thirteen years that this has been fixed!  Cheers